<!-- Space: qifu -->
<!-- Parent: 后端技术&知识&规范 -->
<!-- Parent: 后端新人指引 -->
<!-- Parent: 后端新人培养 -->
<!-- Title: 20250421-柯锦宏 -->

<!-- Macro: :anchor\((.*)\):
     Template: ac:anchor
     Anchor: ${1} -->
<!-- Macro: \!\[.*\]\((.+)\)\<\!\-\- width=(.*) \-\-\>
     Template: ac:image
     Url: ${1}
     Width: ${2} -->
<!-- Macro: \<\!\-\- :toc: \-\-\>
     Template: ac:toc
     Printable: 'false'
     MinLevel: 2 
     MaxLevel: 4 -->
<!-- Include: 杂项/声明文件.md -->

<!-- :toc: -->

# 唐智凯

## 第一个月
- 通过一个任务（产研协同平台提测到低代码平台）完成一个完整开发流程

### 第一周
#### 目标（O）
1. 入职及熟悉研发流程

#### 关键成果（KR）
- 搭建本地环境，熟练使用各种研发工具，idea、git、confluence，yapi，产研协同平台等
- 熟悉公司日常后端开发流程规范、项目管理流程、需求开发流程等；
- 获取低代码平台(JeecgBoot)并本地成功运行

#### 考核与反馈
#### 备注

### 第二周
#### 目标（O）
1. 在导师指导下完成简单任务开发

#### 关键成果（KR）
- 熟悉低代码平台(JeecgBoot)代码结构
- 查看低代码平台文档
  - 了解在线表单设计
  - 了解在线关联表单设计
  - 了解并实现自定义功能按钮
- 了解JenkinsAPI机制
- 低代码平台对接JenkinsAPI实现触发项目构建

#### 考核与反馈
#### 备注


### 第三周
#### 目标（O）
1. 实现产研协同平台和低代码平台的调用

#### 关键成果（KR）
- 熟悉产研协同平台代码(PM)
- 调研产研协同平台对接低代码平台（看看有什么方案）
- 编写调用方法
    - 实现产研协同平台调用低代码平台
    - 完成单元测试
    - 修复BUG

#### 考核与反馈
#### 备注

### 第四周
#### 目标（O）
1. 实现低代码平台构建状态存储及回传
2. 产研协同平台和低代码平台的发布
3. 思考总结

#### 关键成果（KR）
- 实现低代码平台构建状态存储
- 实现低代码平台构建状态回传到产研协同平台
- 自测
- BUG修复
- 发布
#### 考核与反馈
#### 备注


--- 
## 第一季度
#### 目标（O）
1. 能独立完成较复杂的任务，能快速排查问题。
2. 能够主动发现并处理问题

#### 关键成果（KR）
- 能独立完成产研协同平台任务
- 能够独立完成低代码平台的一些看板开发
- 能独立处理遇到的问题
- 能思考并完善平台的不足之处

#### 考核与反馈
#### 备注


--- 
## 半年
#### 目标（O）
1. 独挡一面
#### 关键成果（KR）
- 在完成基础研发外，了解应用组、中台组、中台财务组、中台BOSS组相关的业务
- 能独立支撑业务需求，参与需求评审，并按流程完成研发
#### 考核与反馈
#### 备注