package io.metersphere.exclude;

import org.springframework.context.ApplicationContextInitializer;
import org.springframework.context.ConfigurableApplicationContext;

/**
 * 初始化过滤
 *
 * @author liuxiaohua
 * @since 2023-08-19
 */
public class EgApplicationContextInitializer
        implements ApplicationContextInitializer<ConfigurableApplicationContext> {

    @Override
    public void initialize(ConfigurableApplicationContext applicationContext) {
        applicationContext.addBeanFactoryPostProcessor(new EgTypeExcludeFilterPostProcessor());
    }

}