## 候选人考察范围

- 数据库相关知识考察（Mysql，索引，优化，事务隔离级别，B+Tree）
- Spring体系考察（SpringBoot，SpringCloud，IOC，AOP，扩展，组件）
- Redis、MQ等（Redis 为什么快，存储结构，使用场景，RocketMQ架构等）
- 算法（暂时没考察）
- Java基础考察（HashMap，JUC，GC，内存模型，问题排查）
- 个人能力考察（从交流中看看临时处理问题能力，扩展能力）
- 学习能力考察（暂时没有）
- 项目能力考察（参与的项目，职责，重难点，挑战，解决方法）

## 林旭坤

- 对技术停留在使用阶段，对底层实现了解较少（公司主要的技术栈都有使用，但是对技术栈的原理了解比较少）
- 对业务有一定自己的理解
- 现场面试，精神面貌比较好，沟通顺畅
- 综合评价：70

## 林瑜晖

- 技术还可以，有实操经验
- 在一些业务实现上概念比较模糊，
- 有去了解一些技术底层和源码
- 综合评价：60

## 何伟健

- 在技术上会散发一些自己的理解，对底层实现有一定的了解
- 项目经验比较少，做过一些功能维护和开发
- 沟通积极，能发散一些自己的想法和见解
- 综合评价：65

## 程浩轩

- Java基础知识扎实，思路清晰，对技术实现能理解并吸收
- 思考问题比较全面，对做过的项目及实现有较清晰的认知
- 会主动学习一些知识和源码，能沉淀为自己的知识储备，发现其中的不足
- 表达能力比较好
- 综合评价：80

## 陈建锐

- Java技术一般，对操作系统有一些理解
- 项目经验较少，项目功能较为单一
- 对一些技术使用停留在使用阶段
- 综合评价：60

## 李文锋

- 面试过程中对一些基本原理不能很好的回答，可能是由于紧张。
- 项目经验少，大部分都是自己的项目。
- 学习少，比较少看开源项目
- 综合评价：不建议。


## 王中瀚
- 对一些基础知识了解比较少，面试问题回答的比较浅
- 没有实际的项目经验，自己做了两个项目也没有比较好的吃透
- 综合评价：60（不通过）

## 郑子健
- 基础知识扎实，提问的问题除了大体外还能说出里面的原理及技术实现
- 有相关的实习经历，在实习项目中有带入自己的思考
- 有一定的求知欲，对不懂的问题会思考并询问
- 综合评价：80（强哥进行二面）

## 蔡松江
- 技术还行，原理方面了解的比较少
- 没有自己的理解，回答问题跟念书一样
- 有看开源项目，但是不多
- 综合评价：70（不通过）

## 莫志军
- 基础知识扎实，对技术有自己的理解，了解实现原理
- 没有实际项目经历，但是对一些技术的使用有想法，对遇到的问题会思考对应的解决方案
- 按需看技术文档和源码
- 综合评价：75（强哥进行二面）

## 彭泽谦
- 没有背八股文，做过项目，总结出技术是服务于业务
- 有自己的博客和github，善于总结学习
- 有实际的代码开发经验
- 综合评价：80（强哥进行二面）

## 罗顺强
- 基础比较弱，对一些基础的技术流程不了解，比如线程池的工作流程
- 喜欢逛技术博客和github，但是问一些相关问题答不出来
- 综合评价：65（不通过）

## 李柏林
- 基础知识技能扎实
- 对挺多技术的原理有了解，并知道实现
- 喜欢看书
- 项目经验相对较少
- 综合评价：75（强哥进行二面）

## 练康安
- 基础知识掌握程度一般，对一些原理之类的了解较少
- 回答问题有些时候没有回答到点上
- 综合评价：70（不通过）


## 徐雪莹（实习）
- 技术写了很多，但是都答不上来，不知道是紧张还是怎么了
- 问了一些业务相关的问题也没有回答清楚
- 综合评价：不建议

## 杜浩彬（实习）
- 自己做的项目都说不出来，还要看文档。也讲不清楚做了什么
- 技术问了几个也答不出来
- 综合评价：不建议

## 陈炜斌（实习）
- 基础知识还不错，问的几个技术问题能转化为自己的语言描述，并且可以扩展一些自己的想法
- 对自己做的东西会认真对待，不单单是做完，还会优化
- 综合评价：75（强哥进行二面）

## 黄伟（实习）
- 总体还不错，从项目衍生出的技术知识点都能比较好的回答
- 基础还行，问的一些问题都能大概说出来
- 综合评价：75（强哥进行二面）

## 黄梓豪（实习）
- 对 Java 相关知识点都不熟悉，
- 综合评价：不建议

## 吴志聪（外包）
- 中规中矩，有些时候答非所问，对一些技术概念也会混淆
- 综合评价：不推荐

## 刘福平（外包）
- 基础问题大概都能回答出要点
- 遇到一些不清楚的会提出自己的想法
- 综合评价：70（强哥进行二面）

## 黄仁生
- 对一些基础知识了解不多，对业务比较了解
- 人比较热情，能说，很能加班
- 综合评价：65

## 张旗（实习）
- 有实习开发经验，能写代码
- 对一些底层了解比较少
- 综合评价：75（强哥进行二面）

## 江锦程（外包）
- 对项目有理解，清楚项目逻辑和自己做的任务
- 对一些基础知识也能回答上来
- 综合评价：75（通过）

## 陈俊仲
- 一些基本的知识点都不了解，比如切面执行逻辑，线程池参数及工作流程
- 综合评价：不建议

## 刘继茂
- 对自己做过的项目不了解，问的问题回答得自相矛盾
- 对用到的技术不清楚具体的作用，比如说用布隆过滤器来替换分布式锁
- 总结：不建议

## 林良基
- 对一些优化有自己的看法，但是可能考虑没那么全还是有漏洞
- 有做过项目，还接过一些私活
- 综合评价：70（强哥二面）

## 杨恒
- 会去思考问题，问的问题思考后会有一些答案
- 不懂的就不懂，不会装懂
- 综合评价：75


## 李亚峻 2025-03-12
- 最近自己做的项目都说不太清楚

## 徐俣
- 各种知识点都有一定的了解
- 基础知识的一些原理和机制都有了解
- 做过自己的项目有一定的思考，并不是没有目的的在做
- 由于经验造成的一些不太成熟的想法后续可以弥补
- 总体可以