## 需要更新的表格

- [月度任务规划](http://confluence.qifu.com/pages/viewpage.action?pageId=38503257)
- [周报](http://confluence.qifu.com/display/qifu/20241115)


## 长期任务
- 来源：http://confluence.qifu.com/pages/viewpage.action?pageId=38507909
- 监控平台: `jeecg boot`
- 自动化测试，精准测试。凯钧
- 企微OA审批
- WhatsApp
- SSO继续完善
- xblms 看看能不能支持 sso
- PM系统与Gitlab打通

- aftership 对接
- 测试环境发布文档
- metersphere sso 集成

## 试用期任务列表
- [X] 搭建开源SSO，调研企微开放平台，实现企微登录所有内部系统功能
- [X] 2月底之前，打通所有内部常用开源服务
  - [X] gitlab
  - [X] jenkins
  - [X] confluence
  - [X] kubesphere
  - [ ] kibana
  - [ ] skywalking
  - [X] nacos
  - [ ] graylog
  - [X] yarning
  - [X] harbor
  - [ ] nexus sonatype
  - [X] 产研协同平台
  - [X] yapi接口文档
- [ ] 转正之前支持内部效能平台各服务之间整合互通
  - [ ] 打通 PM 系统与 gilab，支持项目/需求与代码分支绑定，解决代码分支管理混乱的问题
    - https://blog.csdn.net/weixin_39246554/article/details/124764740
    - [-] 推荐使用 [gitlab4j](https://github.com/gitlab4j/gitlab4j-api) （金峰直接集成就行）
  - [ ] 开发精准测试平台，提升研发提测质量。届时会要求测试覆盖率达不到80%不允许提测。
  - [X] 接入内训平台，支持对实习生、正编及主R不同角色的人进行开展不同的培训任务，打造学习型团队。
  - [X] 开发持续集成及自动化测试工具，满足每天定时执行或研发修改代码后自动触发自动化测试任务，更多的发现研发提测的Bug。
  - [ ] 开发运维管理平台，对服务器宿主机、虚拟机都进行管控，并于产品线/应用进行绑定。可视化每个产品挂载哪些服务器资源。
  - [ ] 接入统一监控/告警平台，支持所有服务针对核心接口配置监控告警大盘。
    - [ ] 业务统一采集，记录日志。通过日志采集，发送到夜莺进行告警
    - [ ] 建立 OnCall 机制，通知到对应的人员或群组
  - [ ] 接入性能测试及压力测试工具，满足QA对某些性能要求高的接口进行压测。
  - [ ] 开发泳道管理，支持多项目、多任务并行开发互不干扰的问题。
  - [-] PM系统能接收企微请假消息，支持PM系统计算工时（待金峰集成）。
  - [ ] WhatsApp对接调研。
- [ ] 配合好业务侧业务需求的开发，为其提供强有力的技术保障

## 
- [ ] 物流轨迹注册成功后主动查询一次，修复多环境公用账号问题
- [ ] 核心组件梳理规划方案
- [ ] 灰度链路方案
- 

##
- ebay 原生接口对接
  - 授权
  - 拉单
  - 定时拉单
  - 同步更新接口
  - 截单
  - 订单状态回传
- 电商RPC接口
  - 授权
  - 授权状态查询
  - 订单列表
  - 订单状态同步
  - 截单
  - 订单状态回传

- 总任务
  - ebay 功能对应的接口梳理
  - ebay 对接流程梳理
  - ebay 接口对接
  - 内部订单字段梳理
  - 内外部字段映射
  - 内部RPC接口开发
  - 单测
  - 冒烟
  - 联调
  - 提测


##

- [ ] 回调业务方法实现（回调详情表？）
- [ ] 三方回调接口（回调详情表？）
- [ ] 接口报文记录。。。。
- [ ] 错误映射
- [ ] 对接流程图
- [X] github ci/cd 文档发布
- [ ] 日志格式强化

## 20250304
- 审批信息添加发起人信息解析
- kubesphere devops

## 20241230 - 20250103
- [ ] ocr识别名片、语音转文字  这些先调研一下。后面会有相关的开发任务。
- [X] 开源支持SSO的管理后台
- [X] 企赋网关
  - [X] 公司映射管理
    - 导入模板
    - 导入接口
    - 查询接口

## 20241219 - 20241227
- [X] Soular 平台部署
- [X] 调研SSO（查看能效平台调研）
- [X] 开源知识库
  - [BookStack](https://gitee.com/dromara/zyplayer-doc)
    - 支持代码高亮
    - 支持图标插件
    - 
  - Affine
  - [zyplayer-doc](https://gitee.com/dromara/zyplayer-doc)
- [ ] 开源支持SSO的管理后台
- [X] 开源 IAM
  - [keycloak](https://blog.csdn.net/qq_31532979/article/details/140794828)
  - [Keycloak Doc](https://keycloak.java.net.cn/guides)
- [X] Keycloak 集成 LDAP
- [X] jenkins 整合 Keycloak 实现 SSO

- [X] SSO 技术方案编写
  - [元盟全域SSO方案](http://confluence.qifu.com/pages/viewpage.action?pageId=38507359)
- [X] Gitlab webhook merge 集成企业微信推送
  - [Gitlab地址](http://git.keyfil.com/saas-back-end/cloud-webhook-gitlab)
  - [使用说明](http://confluence.qifu.com/pages/viewpage.action?pageId=38507650)
- [X] Keycloak 集成企微登录可能性调研
  - [使用企业微信登录Keycloak](https://www.kkzxak47.com/2019/07/30/%E4%BD%BF%E7%94%A8%E4%BC%81%E4%B8%9A%E5%BE%AE%E4%BF%A1%E7%99%BB%E5%BD%95keycloak/)
  - [Keycloak开发](https://wener.me/notes/service/auth/keycloak/dev)
- [X] Keycloak 集成企微IDP
  - [Gitlab地址](http://git.keyfil.com/qifu-gateway/keycloak-justauth)
- [X] 企微作为首选登录项（管理后台配置）
- [X] 企微主题自定义（Icon图标）
- [X] 企业微信登录集成（企赋网关）
- [X] 企赋网关重构（模块划分）
- [X] 产研协同平台企微登录方案
  - [产研协同平台企微登录方案](http://confluence.qifu.com/pages/viewpage.action?pageId=38507582)

## 20241216 - 20241220
- [X] Track123 对接
- [ ] 公司映射管理
  - 导入模板
  - 导入接口
  - 查询接口

## 20241210 - 20241213
- [X] 国际电子面单打印对接（快递100）
  - 对接接口
  - 转存储电子面单
  - 查询电子面单接口
- [X] 物流追踪
  - 查询接口（没有查询过信息会发起查询并注册，定期更新）
  - 强制远程同步更新接口

## 20241120
- [X] Canal 搭建
- [X] Kafka 搭建

## 20241119
- [X] Dolphinscheduler 整合 Datax 实现数据同步
- [X] 了解数仓相关

## 20241118
- [X] 数仓方案
- [X] Dolphinscheduler 伪集群搭建
- [X] Dolphinscheduler 体验

## 20241115

- [X] 实现追踪注册功能
- [X] 实现内部物流追踪查询功能
- [X] 梳理 Aspect 到 Manager
- [X] 物流供应商映射表（快递100，17TRACK等）

## 20241114

- [X] 修复请求错误信息未记录问题
- [X] 修复快递100下单错误但是返回正确状态的问题
- [X] 调整项目结构

## 20241113

- [X] 17TRACK 对接

## 20241112

- [X] 17TRACK 对接

## 20241111

- [X] 17TRACK 对接

## 20241108

- [X] 请求记录切面处理
- [X] 幂等插件
- [X] 限流插件
- [X] 下单请求订单对照表

## 20241107

- [X] 开始对接快递100
    - [X] 下运单
    - [X] 物流信息查询
- [/] 完善企赋网关整体框架

## 20241106

- [X] 表结构设计
- [X] 方案评审
- [X] 基础架子搭建
- [X] 当前系统的访问量（QPS）

## 20241105

- [X] 企赋网关技术架构图
- [X] 企赋网关处理流程图
- [X] 企赋网关技术方案
- [X] 核心包代码查看
- [X] M端和B端粗略体验