<!-- Space: qifu -->
<!-- Parent: 后端技术&知识&规范 -->
<!-- Parent: 技术方案 -->
<!-- Parent: 基建 -->
<!-- Parent: 03-接入指南 -->
<!-- Title: 20250422-AxureCloud使用指南 -->

<!-- Macro: :anchor\((.*)\):
     Template: ac:anchor
     Anchor: ${1} -->
<!-- Macro: \!\[.*\]\((.+)\)\<\!\-\- width=(.*) \-\-\>
     Template: ac:image
     Url: ${1}
     Width: ${2} -->
<!-- Macro: \<\!\-\- :toc: \-\-\>
     Template: ac:toc
     Printable: 'false'
     MinLevel: 2 
     MaxLevel: 4 -->
<!-- Include: 杂项/声明文件.md -->

<!-- :toc: -->

# AxureCloud使用指南

## Axure Cloud 安装
官方文档：https://docs.axure.com/axure-cloud/business/install-on-premises/

### 准备工作
#### 服务器
- Windows Server 2008 R2 or later
- .NET Framework 4.7.2

#### 数据库
- Microsoft SQL Server (2008 or later, Express Edition or better)
    - Should be installed with Mixed Mode authentication (aka "SQL Server and Windows Authentication mode")
- MySQL 8.0 or later

### MySQL数据库安装
省略......

### AxureCloud安装
#### 下载安装及破解文件
```text
https://pan.baidu.com/s/1WFaTQCdCBgysGmzOeWM3MQ?pwd=1234
```

#### 安装AxureCloud
![](https://picture.texous.cn/blog/20250421135428373.png)

## Axure安装
- 官方软件包地址：https://link.zhihu.com/?target=https%3A//www.axure.com/upgrade-to-11
- 百度网盘+汉化包地址：链接: https://pan.baidu.com/s/1A1rozVu9eNL6VR0TVjaiFQ?pwd=1234

![](https://picture.texous.cn/blog/20250421140030451.png)

## AxureCloud使用
- 服务器地址：http://axure.qifu.com
- 账号：公司邮箱（xxxx@keyfil.com）
- 点击忘记密码
- 修改密码后登录

### Axure11
#### 添加账号
![](https://picture.texous.cn/blog/20250421205017658.png)

#### 发布
- 选择刚刚创建的账号
- ![](https://picture.texous.cn/blog/20250421205230311.png)
- 选择需要发布的目录
- ![](https://picture.texous.cn/blog/20250421205340724.png)


### Axure9
![](https://picture.texous.cn/blog/20250421140402515.png)

## 参考
- [Axure Cloud本地部署（On-Premises）教程：支持Axure RP9和RP11团队协作使用](https://www.yuque.com/jiaowovitamin/uizu4s/efsrvcl4x6kyc9di)
- [Axure11：安装与汉化保姆级攻略（附免费激活码，亲测有效）](https://zhuanlan.zhihu.com/p/29823932905)
- [Axure Cloud 本地服务的使用](https://blog.csdn.net/qq_56391747/article/details/139042168)