<!-- Space: qifu -->
<!-- Parent: 后端技术&知识&规范 -->
<!-- Parent: 后端新人指引 -->
<!-- Parent: 后端新人培养 -->
<!-- Title: 20250414-唐智凯 -->

<!-- Macro: :anchor\((.*)\):
     Template: ac:anchor
     Anchor: ${1} -->
<!-- Macro: \!\[.*\]\((.+)\)\<\!\-\- width=(.*) \-\-\>
     Template: ac:image
     Url: ${1}
     Width: ${2} -->
<!-- Macro: \<\!\-\- :toc: \-\-\>
     Template: ac:toc
     Printable: 'false'
     MinLevel: 2 
     MaxLevel: 4 -->
<!-- Include: 杂项/声明文件.md -->

<!-- :toc: -->

# 唐智凯

## 第一个月
- 通过一个任务（企微通讯率变更对接）完成一个完整开发流程

### 第一周
#### 目标（O）
1. 入职及熟悉研发流程

#### 关键成果（KR）
- 搭建本地环境，熟练使用各种研发工具，idea、git、confluence，yapi，产研协同平台等
- 熟悉公司日常后端开发流程规范、项目管理流程、需求开发流程等；
- 获取企赋南北流量网关(qifu-saas-eg)并本地成功运行

#### 考核与反馈
#### 备注

### 第二周
#### 目标（O）
1. 在导师指导下完成简单任务开发

#### 关键成果（KR）
- 熟悉企赋南北流量网关(qifu-saas-eg)代码结构
- 查看企微开放平台文档
- 对接通讯录回调通知事件处理：[文档地址](https://developer.work.weixin.qq.com/document/path/92654#%E6%96%B0%E5%A2%9E%E6%88%90%E5%91%98%E4%BA%8B%E4%BB%B6)
  - 成员添加
  - 成员变更
  - 成员删除
  - 对外扩展点
- 对接通讯录
  - 成员列表
  - 成员详情
- 通讯录列表内部接口（对内部服务提供RPC接口）

#### 考核与反馈
#### 备注


### 第三周
#### 目标（O）
1. 在导师指导下完成完整任务开发
   1. 服务间调用
   2. 自测
   3. DEBUG

#### 关键成果（KR）
- 将通讯录变更事件通知给产研协同平台
  - 约定接口及参数
  - 发起请求调用
- 完成企微通讯录变更测试
  - 回调通知模拟
  - 接收服务模拟
- 产研协同平台代码熟悉
- 产研协同平台通讯录变更接收接口
  - 处理人员新增
  - 处理人员离职
- 自测及BUG修复

#### 考核与反馈
#### 备注

### 第四周
#### 目标（O）
1. 提测、发布及线上监测
2. 跨部门沟通
3. 思考总结
#### 关键成果（KR）
- 代码Review
- 编写提测文档（后续的发布文档）
- 功能提测
- 查看服务状态及日志监控
- 解决出现的提测BUG
- 总结归纳一个月以来的成果和不足
#### 考核与反馈
#### 备注


--- 
## 第一季度
#### 目标（O）
1. 能独立完成较复杂的任务，能快速排查问题。
2. 能够主动发现并处理问题

#### 关键成果（KR）
- 能独立完成对外接口对接任务
- 能独立处理南北流量网关遇到的问题
- 能思考并完善南北流量网关的不足之处

#### 考核与反馈
#### 备注


--- 
## 半年
#### 目标（O）
1. 独挡一面
#### 关键成果（KR）
- 在完成基础研发外，了解应用组、中台组、中台财务组、中台BOSS组相关的业务
- 能独立支撑业务需求，参与需求评审，并按流程完成研发
#### 考核与反馈
#### 备注