<!-- Space: qifu -->
<!-- Parent: 后端技术&知识&规范 -->
<!-- Parent: 技术方案 -->
<!-- Parent: 基建 -->
<!-- Parent: 02-技术方案 -->
<!-- Title: 20241225-产研协同平台企微登录方案 -->

<!-- Macro: :anchor\((.*)\):
     Template: ac:anchor
     Anchor: ${1} -->
<!-- Macro: \!\[.*\]\((.+)\)\<\!\-\- width=(.*) \-\-\>
     Template: ac:image
     Url: ${1}
     Width: ${2} -->
<!-- Macro: \<\!\-\- :toc: \-\-\>
     Template: ac:toc
     Printable: 'false'
     MinLevel: 2 
     MaxLevel: 4 -->
<!-- Include: 杂项/声明文件.md -->

<!-- :toc: -->

# 产研协同平台企微登录

[**内部系统SSO接入教程**](http://confluence.qifu.com/pages/viewpage.action?pageId=38508260)

## 一、现状

### 业务背景

为了方便产研协同平台登录，现需要整合企微登录

## 二、需求

### 业务需求

产研协同平台接入企微登录

## 三、设计目标

### 实现的功能

- 通过企业微信登录产研协同平台


## 四、整体设计

### 整体架构

> 
> 在 [元盟全域SSO方案](http://confluence.qifu.com/pages/viewpage.action?pageId=38507359) 之上进行 Keycloak 对接
> 

### 交互流程

![](https://picture.texous.cn/blog/20241225175913612.png)

## 五、详细设计

### 功能模块设计

### 潜在风险

## 六、工作量和排期

### 开发时间
- 企赋网关对接 Keycloak（Oauth2.0授权流程）
- 产研协同平台（后端）提供接口（登录接口及绑定登录接口）
  - 接口文档？？？
- 产研协同平台（前端）界面开发
  - 登录失效跳转到授权界面
    - 授权界面链接？？？
  - 授权完成后未绑定需要跳转到绑定界面（界面编写）
  - 绑定界面调用绑定登录接口
    - 绑定登录接口？？？
  - 前端跳转回原始界面

### 联调时间

### 提测时间

### 上线时间

## 七、设计评审意见

## 八、参考文档
