<!-- Space: qifu -->
<!-- Parent: 后端技术&知识&规范 -->
<!-- Parent: 技术方案 -->
<!-- Parent: 基建 -->
<!-- Title: 20250106-集简云对接方案 -->

<!-- Macro: :anchor\((.*)\):
     Template: ac:anchor
     Anchor: ${1} -->
<!-- Macro: \!\[.*\]\((.+)\)\<\!\-\- width=(.*) \-\-\>
     Template: ac:image
     Url: ${1}
     Width: ${2} -->
<!-- Macro: \<\!\-\- :toc: \-\-\>
     Template: ac:toc
     Printable: 'false'
     MinLevel: 2 
     MaxLevel: 4 -->
<!-- Include: 杂项/声明文件.md -->

<!-- :toc: -->


# 集简云对接方案

## 一、现状

### 业务背景

需要对接和拉取ERP和电商平台订单

## 二、需求

### 业务需求

需要对接和拉取ERP和电商平台订单

## 三、设计目标

### 实现的功能

- ERP订单拉取
  - 领星ERP
  - 聚水潭
  - 易仓
  - 马帮
- 电商平台订单拉取
  - Amazon
  - Tiktok
  - Ebay
  - Shopee
  - Lazada

## 四、整体设计

### 整体架构

![](https://picture.texous.cn/blog/20250106142814939.png)

### 交互流程
#### 应用授权流程
![](https://picture.texous.cn/blog/20250106145111478.png)

#### 订单拉取流程
![](https://picture.texous.cn/blog/20250106152557525.png)

## 五、详细设计

### 功能模块设计

### 潜在风险
- 订单信息回传暂时没找到渠道
- 集简云对接需要付费

## 六、工作量和排期

### 开发时间

### 联调时间

### 提测时间

### 上线时间

## 七、设计评审意见

## 八、参考文档

- [Okta](https://www.okta.com/)
- [CAS 单点登录部署](https://blog.csdn.net/xu_guo_jie/article/details/104209452)
- [集成文档参考](https://docs.authing.cn/v2/integration/?category=all&page=2)
- [CAS Server](https://github.com/apereo/cas)
- [CAS 整合 LDAP](https://www.doc88.com/p-0774845211878.html)
- [CAS](https://zhuanlan.zhihu.com/p/610470663)
- [OIDC](https://zhuanlan.zhihu.com/p/539297736)
- [LDAP](https://zhuanlan.zhihu.com/p/608437013)
- [IAM单点登录之CAS协议分析](https://zhuanlan.zhihu.com/p/627920220)
- [Keycloak](https://www.keycloak.org/)
- [Keycloak OIDC](https://www.keycloak.org/securing-apps/oidc-layers)
- [Keycloak 默认 Provider 配置](https://www.keycloak.org/docs/latest/server_admin/index.html#default_identity_provider)
- [Keycloak custom theme](https://springdoc.cn/spring-keycloak-custom-themes/)
- [Keycloak custom theme](https://blog.csdn.net/q1ngqingsky/article/details/123417611)