# 入职梳理

## 技术栈
- [ ] 技术选型
  - [ ] JDK(11)
  - [ ] Maven(私服，已配置)
  - [ ] Git(Gitlab自建)
  - [ ] 基础脚手架
  - [ ] MQ（RocketMQ）
  - [ ] DB（Mysql）
  - [ ] 服务间调用方式（Feign/Http）
  - [ ] 链路追踪（Skywalking）
  - [ ] 服务监控和日志采集（Graylog）
- [ ] 版本管理
  - [ ] 流程
  - [ ] 版本号
- [ ] 基础脚手架
  - [ ] 服务调用方式（HTTP，RPC）
  - [ ] 数据库设计规范(字段，索引)
  - [ ] 基础组件对接
    - [ ] ORM 框架（MybatisPlus）
    - [ ] Redis 对接（SpringDataRedis）
      - [ ] 分布式锁 redisson
    - [ ] MQ 对接（RocketMQ）
    - [ ] ES 或者数仓

## 业务梳理
- [ ] 网络拓补图
- [ ] 整体流程图
- [ ] 系统架构图
- [ ] 系统调用链路图

