## 本地快捷指令
### KT 启动
#### 查看集群信息
```shell
#- 查看集群信息
C:\Programs\Developer\ktctl_0.3.7\kubectl.exe cluster-info
```

#### 启动Connect
```shell
C:\Programs\Developer\ktctl_0.3.7\ktctl.exe connect --namespace qifu-develop --kubeconfig C:\Documents\Workspace\Env\.kube\kubeconfig.yaml
```

#### 启动mesh服务
```shell
#- 启动mesh
C:\Programs\Developer\ktctl_0.3.7\ktctl.exe mesh qifu-saas-eg --namespace qifu-develop --expose 8933:8933 --versionMark ym-version:liuxiaohua  --kubeconfig C:\Documents\Workspace\Env\.kube\kubeconfig.yaml 
```

#### 资源清理
```shell
C:\Programs\Developer\ktctl_0.3.7\ktctl.exe clean --namespace qifu-develop --kubeconfig C:\Documents\Workspace\Env\.kube\kubeconfig.yaml

#- --dryRun                  只打印要删除的Kubernetes资源名称，不删除资源
#- --thresholdInMinus value  清理至少已失联超过多长时间的Kubernetes资源 (单位：分钟，默认值：15)
#- --localOnly               仅清理本地日志和还原本地路由/DNS配置
```